=== debian/changelog ===
retroarch (1.0.0.3-0ubuntu1) UNRELEASED; urgency=low

  * New version release (Beta)

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Mon, 27 Oct 2014 13:17:00 -0300

retroarch (1.0.0.2-0ubuntu12) UNRELEASED; urgency=low

  * Improve debian packaging
  * Added DSP and video filters to the package
  * Added some paths in retroarch.cfg
  + No more quilt patch

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Sun, 17 Aug 2014 23:50:00 -0300

retroarch (1.0.0.2-0ubuntu11) UNRELEASED; urgency=low

  * Debian folder from hunterk PPA to upstream
  * Updated /debian:
    + control: deb-helper to >= 9 and Standards-Version to 3.9.5
    + compat from 7 to 9
  * Fixed lintian warnings and errors:
    + Added missing build-dependends and depends in debian/control
    + Added simple man pages to cg2glsl and retrolaunch tools
    + Fixed desktop entry
  * Added quilt patch (friendly path to libretro cores and start directory)

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Fri, 11 Jul 2014 13:33:00 -0300

retroarch (1.0.0.2-0ubuntu10) UNRELEASED; urgency=low

  * Update icon (finally) and use SVG instead of PNG.
  * Updated to latest git. Includes recent shader changes.
  * Includes KMS resolution updates.

 -- Hunter Kaller (hizzlekizzle) <hunter_kaller@yahoo.com>  Thu, 03 Jul 2014 13:24:59 -0500
